Debian Bug report logs - #510703
dictfmt -I overwrites size with offset

version graph

Package: dictfmt; Maintainer for dictfmt is Robert Luberda <robert@debian.org>; Source for dictfmt is src:dictd.

Reported by: garabik@kassiopeia.juls.savba.sk

Date: Sun, 4 Jan 2009 14:03:04 UTC

Severity: normal

Found in version dictd/1.10.11.dfsg-2

Fixed in version dictd/1.11.0.dfsg-1

Done: Robert Luberda <robert@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://sourceforge.net/tracker/index.php?func=detail&atid=100605&aid=2485769&group_id=605

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Robert Luberda <robert@debian.org>:
Bug#510703; Package dictfmt. (Sun, 04 Jan 2009 14:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to garabik@kassiopeia.juls.savba.sk:
New Bug report received and forwarded. Copy sent to Robert Luberda <robert@debian.org>. (Sun, 04 Jan 2009 14:03:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Radovan Garabik <myitsybitsylittlemailforwarder@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dictfmt -I overwrites size with offset
Date: Sun, 4 Jan 2009 15:02:10 +0100
[Message part 1 (text/plain, inline)]
Package: dictfmt
Version: 1.10.11.dfsg-2
Severity: normal

When re-sorting the index file in base64 mode, dictfmt overwrites  
size with offset. Attached patch fixes the issue.


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26.5 (PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages dictfmt depends on:
ii  gawk                    1:3.1.5.dfsg-4.1 GNU awk, a pattern scanning and pr
ii  libc6                   2.7-10           GNU C Library: Shared libraries

Versions of packages dictfmt recommends:
ii  dictzip                   1.10.11.dfsg-2 Compression utility for dictionary

dictfmt suggests no packages.

-- no debconf information

-- 
 -----------------------------------------------------------
| Radovan Garabík http://kassiopeia.juls.savba.sk/~garabik/ |
| __..--^^^--..__    garabik @ kassiopeia.juls.savba.sk     |
 -----------------------------------------------------------
Antivirus alert: file .signature infected by signature virus.
Hi! I'm a signature virus! Copy me into your signature file to help me spread!
[dictfmt.patch (text/x-diff, attachment)]

Noted your statement that Bug has been forwarded to http://sourceforge.net/tracker/index.php?func=detail&atid=100605&aid=2485769&group_id=605. Request was from Robert Luberda <robert@debian.org> to control@bugs.debian.org. (Sun, 04 Jan 2009 17:09:04 GMT) Full text and rfc822 format available.

Reply sent to Robert Luberda <robert@debian.org>:
You have taken responsibility. (Mon, 12 Jan 2009 08:09:21 GMT) Full text and rfc822 format available.

Notification sent to garabik@kassiopeia.juls.savba.sk:
Bug acknowledged by developer. (Mon, 12 Jan 2009 08:09:21 GMT) Full text and rfc822 format available.

Message #12 received at 510703-close@bugs.debian.org (full text, mbox):

From: Robert Luberda <robert@debian.org>
To: 510703-close@bugs.debian.org
Subject: Bug#510703: fixed in dictd 1.11.0.dfsg-1
Date: Mon, 12 Jan 2009 07:47:09 +0000
Source: dictd
Source-Version: 1.11.0.dfsg-1

We believe that the bug you reported is fixed in the latest version of
dictd, which is due to be installed in the Debian FTP archive:

dict_1.11.0.dfsg-1_i386.deb
  to pool/main/d/dictd/dict_1.11.0.dfsg-1_i386.deb
dictd_1.11.0.dfsg-1.diff.gz
  to pool/main/d/dictd/dictd_1.11.0.dfsg-1.diff.gz
dictd_1.11.0.dfsg-1.dsc
  to pool/main/d/dictd/dictd_1.11.0.dfsg-1.dsc
dictd_1.11.0.dfsg-1_i386.deb
  to pool/main/d/dictd/dictd_1.11.0.dfsg-1_i386.deb
dictd_1.11.0.dfsg.orig.tar.gz
  to pool/main/d/dictd/dictd_1.11.0.dfsg.orig.tar.gz
dictfmt_1.11.0.dfsg-1_i386.deb
  to pool/main/d/dictd/dictfmt_1.11.0.dfsg-1_i386.deb
dictzip_1.11.0.dfsg-1_i386.deb
  to pool/main/d/dictd/dictzip_1.11.0.dfsg-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 510703@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Luberda <robert@debian.org> (supplier of updated dictd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 10 Jan 2009 18:08:00 +0100
Source: dictd
Binary: dictd dict dictzip dictfmt
Architecture: source i386
Version: 1.11.0.dfsg-1
Distribution: experimental
Urgency: low
Maintainer: Robert Luberda <robert@debian.org>
Changed-By: Robert Luberda <robert@debian.org>
Description: 
 dict       - Dictionary Client
 dictd      - Dictionary Server
 dictfmt    - Utility to format a file for use by the dictd server
 dictzip    - Compression utility for dictionary databases
Closes: 357963 386009 472533 486784 495545 510703
Changes: 
 dictd (1.11.0.dfsg-1) experimental; urgency=low
 .
   * New upstream release:
     + remove dictd.c-alen-init.patch, applied upstream;
     + refresh other patches.
   * dictd.conf: bind to localhost interface only (closes: #357963, #486784).
   * Made dictd startup more configurable and allow to disable dictd entirely
     or run it via inetd server (closes: #472533, #386009) (LP: #42285):
     + manage /etc/default/dictd file with debconf and ucf;
     + modify init and postinst/postrm scripts for the above change;
     + add "allow: inetd" do dictd.conf;
     + depend on ucf and update-inetd.
   * Remove stop links from rc0 and rc6 (closes: #495545).
   * dictfmt-sort-base64.patch: fix problem with offset overwriting in dicfmt.
     Thanks to Radovan Garabík  for the patch (closes: #510703).
   * Fix descriptions (lintian).
   * Remove pre-sarge stuff from maintainer scripts.
   * Build-depend on libmaa-dev.
   * Standards-Version: 3.8.0 (no changes).
   * Build with debhelper v7.
   * Remove duplicated fields from control (lintian).
Checksums-Sha1: 
 bb94d8cc0eda245761c13e82d3810655a1194660 1135 dictd_1.11.0.dfsg-1.dsc
 1e10723ac448abc6d6f72f4955a2b95afcbb5506 403846 dictd_1.11.0.dfsg.orig.tar.gz
 34a320e4a3e68c1505eadba8beba1d786236a106 53967 dictd_1.11.0.dfsg-1.diff.gz
 743656f69b4fc321001342d96f98841ae8fd0251 135930 dictd_1.11.0.dfsg-1_i386.deb
 25847bf9b8722e47f5ff920ff8571b08dd253b95 72782 dict_1.11.0.dfsg-1_i386.deb
 fde41ae4f663d0ad8eb0bb1ee2fb384a8387577a 51424 dictzip_1.11.0.dfsg-1_i386.deb
 b4910450f010b11c1ea0fbd8ced82cee3133a717 60832 dictfmt_1.11.0.dfsg-1_i386.deb
Checksums-Sha256: 
 09e634d922701c2b07a728884dc30a056a2fec91814a8d473d851b5d81f848b7 1135 dictd_1.11.0.dfsg-1.dsc
 8e1209a6dfd84ef0700738407f61cd8195605061e7a33f5c6de596e2b5c36f73 403846 dictd_1.11.0.dfsg.orig.tar.gz
 73def4e40685fa4e4100715e4e111bf4f3e038950536175fd982a88f57c2632d 53967 dictd_1.11.0.dfsg-1.diff.gz
 cd96ed01cb3c97642fc5b20e5a11e6d25f19704c4e692b405d8d17ca3424825d 135930 dictd_1.11.0.dfsg-1_i386.deb
 0a5b82667051304be6fa4fa364f379a996e925f5d25698fe6fd868f0bbed60be 72782 dict_1.11.0.dfsg-1_i386.deb
 a8269393b59dacacb275c0df31138a15a5925348f9ad7ac05860fc735db55a65 51424 dictzip_1.11.0.dfsg-1_i386.deb
 1c5c44d1222ca3dc3aa675a9557864fbd07346a97b86f62cafdca2d321ad1d66 60832 dictfmt_1.11.0.dfsg-1_i386.deb
Files: 
 801f065e74758592efc2d7cac41ed6bf 1135 text optional dictd_1.11.0.dfsg-1.dsc
 89847ee6c4859a5d6a2cda1db7beed38 403846 text optional dictd_1.11.0.dfsg.orig.tar.gz
 6c50ce21e0f0bb110a679b02ef6ecf42 53967 text optional dictd_1.11.0.dfsg-1.diff.gz
 2ad266e10db13e512c96c9636e1e6a4d 135930 text optional dictd_1.11.0.dfsg-1_i386.deb
 d352e2714c636c473339368cc3109a66 72782 text optional dict_1.11.0.dfsg-1_i386.deb
 ba7beacb796f4564e2d47124099e8a92 51424 text optional dictzip_1.11.0.dfsg-1_i386.deb
 1bd96d5f8d392b87ee9f0822c6a504de 60832 text optional dictfmt_1.11.0.dfsg-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAklpBbwACgkQThh1cJ0wnDuEagCeIWm7B0Oiw/qsUXywG6BL4sm3
eYoAnj1bCTsets2pSoXVYnSGQALZVLjF
=j2rB
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 27 Apr 2009 07:25:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:05:24 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.